IMFI Bugs - Bug #2592

[HR-TM TO PAYROLL] akumulasi attendance ijin tidak memotong 1 hari gaji.
02/16/2024 05:18 PM - Muhammad Bintar

Status: Closed Start date: 02/16/2024
Priority: Normal Due date: 02/22/2024
Assignee: Tri Rizqiaty % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour

Description

dear tim developer mohon support ny untuk perbaikan pada tm to payroll dimana jika level staff s/d spv dan branch kecuali HO level
asmen UP, jika akumulasi ijin lebih dari 7 jam seharusnya dipotong gaji 1 hari dan berlaku kelipatan.

setelah saya analisa lebih lanjut ternyata attendance type ijin kode P2 ini tidak menambah jumlah akumulasi keterlambatan

TM to Payroll

- i £ Reply 4 Forward wes
HR-Payroll <hr-payroll@indomobilfinance.com: 2 Pl

To 'Daud Sulaiman’ Jum 16/02/2024 08.50

Cc Client Support; rachman@minovais.com; 'Kezia Pawitra Yulianti’

HP
This message was sent with High importance.
Dear Mas Daud,
Tolong dicheck kembali TM to Payroll untuk karyawan HO Level Staff s/d 5PV, di mana untuk akumulasi ijin yang sudah
mencapai 7 jam kerja tidak ada dilakukan pemotongan gaji secara sistem.
Seharusnya akumulasi ijin selama 1 bulan yang sudah mencapai 7 jam akan dikenakan pemotongan gaji selama 1 hari dan
berlaku kelipatannya.

Begitu juga untuk karyawan Branch, kecuali HO Level Asmen Up.

Tolong informasinya segera.

contoh
employeeid 20180067 menambah akumulasi keterlambatan
employeeid 20210085 tidak nambah
History

#1 - 02/16/2024 05:32 PM - Muhammad Bintar
- Description updated

#2 - 02/19/2024 11:21 AM - Tri Rizqgiaty
- File clipboard-202402191121-gquhc.png added
- File clipboard-202402191121-m0jvp.png added

- Status changed from New to Developing

Fixing :

1. Cek apakah WorkScheduleCalendar sudah digenerate di table hr_tm_workschedule_calender? Kalau blm tolong digenerate.
) v SELECT © FROM dbo.hr_tm_workschedule_calender WHERE workschedule_type = 'HOOL'

100 %

-

EH Resuts 2 Messages
country_id

355
356
357
358
355
360
361
362
363
364
365

2. Tambahkan WorkScheduleType employee tsb di table base_cust_paramater - param : IMFI_TTP_NX_WS8HOUR

MINOVAIS-SERVER\...se_cust_parameter + > el Keli= 0 K R =y Wl T Moo T NN (5 )i

landscape
100
100
100
100
100
100
100
100
100
100
100

IDN
IDN
IDN
IDN
IDN
IDN
IDN
IDN
IDN
IDN
IDN

workschedule_type

HOO1
HOO1
HOO1
HOO1
HOO1
HOO1
HOO1
HOO1
HOO1
HOO1
HOO1

year
2022
2022
2022
2022
2022
2022
2022
2022
2022
2022
2022

datespecified
2022121
20221232
20221223
20221224
20221225
20221226
20221227
20221228
20221229
20221230
2022121

day_type
WHO1
WHO
WHO1
OFF
PHOZ2
WHO1
WHO1
WHO1
WHO1
WHO1
OFF

ph_id
MULL
MULL
MULL
MULL
MTL
MULL
MULL
MULL
MULL
MULL
MULL

MINOVAIS-SERVER...r_md_emp_md0019

Column Alias Table Outp... Sort Type Sort Order Filter Or... Or... ar... @D
landscape base_cust...
» param base_cust... ="IMFI_TTP_... | = IMFI_TTP_...
e bace cust.
start_date base_cust...
end_date base_cust...
eql base_cust...
vall base_cust...
rel base_cust...
eq2 base_cust...
val2 base_cust...
description base_cust...
application base_cust... [~ A
landscape param seq start_date end_date eql wvall rel eq val2 description
100 IMFI_TTP_NX_WSTHOUR 1 18000101 99991231 = BROw WSType untuk telat yg kerja.
100 IMFI_TTP_NX_WSTHOUR 2 18000101 99991231 = BRNO WSType untuk telat yg kerja,
100 IMFI_TTP_NX_WS8HOUR 1 18000101 99991231 = HONO WSType untuk telat yg kerja.
100 IMFI_TTP_NX_WS8HOUR 2 18000101 99991231 = HOOv ‘WS5Type untuk telat yg kerja.
100 IMFI_TTP_NX_WSEHOUR 3 18000101 35991231 = HON1 WSType untuk telat yg kerja.
| [ 100 IMFI_TTP_NX_WS8HOUR 4 18000101 99991231 = HOO1 WS5Type untuk telat yg kerja.
pe |NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL
< >
#3 - 02/19/2024 11:21 AM - Tri Rizqgiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqiaty to Muhammad Bintar
#4 - 06/21/2024 05:17 PM - Muhammad Bintar
- Status changed from QA Test to Closed
- Assignee changed from Muhammad Bintar to Tri Rizqiaty
Files
clipboard-202402161637-y1wwm.png 129 KB 02/16/2024 Muhammad Bintar
clipboard-202402161713-4r2us.png 35 KB 02/16/2024 Muhammad Bintar
clipboard-202402191121-gquhc.png 33.1 KB 02/19/2024 Tri Rizqgiaty
clipboard-202402191121-m0jvp.png 65 KB 02/19/2024 Tri Rizqgiaty
